## yaws 2.0.6+dfsg

=== www/code/Makefile ===
# Makefile.in generated by automake 1.15.1 from Makefile.am.
# www/code/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/yaws
pkgincludedir = $(includedir)/yaws
pkglibdir = $(libdir)/yaws
pkglibexecdir = $(libexecdir)/yaws
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
subdir = www/code
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/colored-echo.m4 $(top_srcdir)/m4/erlang.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/klacke/yaws/ac-aux/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
APPDEPS = 
AR = ar
AUTOCONF = ${SHELL} /home/klacke/yaws/ac-aux/missing autoconf
AUTOHEADER = ${SHELL} /home/klacke/yaws/ac-aux/missing autoheader
AUTOMAKE = ${SHELL} /home/klacke/yaws/ac-aux/missing automake-1.15
AWK = mawk
CADAVER = cadaver
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Werror -Wall -O3 
CONFIG_STATUS_DEPENDENCIES = $(top_srcdir)/vsn.mk                              \
      $(top_srcdir)/erlang_deps.mk                      \
      $(top_srcdir)/include.mk                          \
      $(top_srcdir)/applications/yapp/vsn.mk            \
      $(top_srcdir)/testsuite/run_common_test.in        \
      $(top_srcdir)/testsuite/yaws.coverspec.in         \
      $(top_srcdir)/testsuite/cover_to_html.sh.in       \
      $(top_srcdir)/testsuite/analyze_coverdata.escript.in
CPP = gcc -E
CPPFLAGS = 
CT_RUN = 
CURL = curl
CYGPATH_W = echo
DEFAULT_CHARSET = undefined
DEFS = -DPACKAGE_NAME=\"yaws\" -DPACKAGE_TARNAME=\"yaws\" -DPACKAGE_VERSION=\"2.0.6\" -DPACKAGE_STRING=\"yaws\ 2.0.6\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DCPU_VENDOR_OS=\"x86_64-pc-linux-gnu\" -DPACKAGE=\"yaws\" -DVERSION=\"2.0.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_SECURITY_PAM_APPL_H=1 -DHAVE_LIBPAM=1
DEPDIR = .deps
DIALYZER = /home/klacke/bin/dialyzer
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
DVILATEX = latex
DVIPS = dvips
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EPAM_CFLAGS = -I/usr/include/security
EPSTOPDF = epstopdf
ERL = /usr/bin/erl
ERLANG_ERTS_DIR = /usr/lib/erlang/erts-9.2
ERLANG_ERTS_VER = 9.2
ERLANG_INSTALL_LIB_DIR = ${prefix}/lib
ERLANG_INSTALL_LIB_DIR_yapp = ${ERLANG_INSTALL_LIB_DIR}/yapp-${YAPP_VSN}
ERLANG_INSTALL_LIB_DIR_yaws = ${ERLANG_INSTALL_LIB_DIR}/yaws-${YAWS_VSN}
ERLANG_LIB_DIR = /usr/lib/erlang/lib
ERLANG_LIB_DIR_common_test = /usr/lib/erlang/lib/common_test-1.15.3
ERLANG_LIB_DIR_compiler = /usr/lib/erlang/lib/compiler-7.1.4
ERLANG_LIB_DIR_crypto = /usr/lib/erlang/lib/crypto-4.2
ERLANG_LIB_DIR_erlsom = not found
ERLANG_LIB_DIR_erts = /usr/lib/erlang/lib/erts-9.2
ERLANG_LIB_DIR_eunit = /usr/lib/erlang/lib/eunit-2.3.5
ERLANG_LIB_DIR_inets = /usr/lib/erlang/lib/inets-6.4.5
ERLANG_LIB_DIR_kernel = /usr/lib/erlang/lib/kernel-5.4.1
ERLANG_LIB_DIR_mnesia = /usr/lib/erlang/lib/mnesia-4.15.3
ERLANG_LIB_DIR_public_key = /usr/lib/erlang/lib/public_key-1.5.2
ERLANG_LIB_DIR_sasl = /usr/lib/erlang/lib/sasl-3.1.1
ERLANG_LIB_DIR_ssl = /usr/lib/erlang/lib/ssl-8.2.3
ERLANG_LIB_DIR_stdlib = /usr/lib/erlang/lib/stdlib-3.4.3
ERLANG_LIB_DIR_tools = not found
ERLANG_LIB_DIR_xmerl = /usr/lib/erlang/lib/xmerl-1.3.16
ERLANG_LIB_DIR_xmlrpc = not found
ERLANG_LIB_VER_common_test = 1.15.3
ERLANG_LIB_VER_compiler = 7.1.4
ERLANG_LIB_VER_crypto = 4.2
ERLANG_LIB_VER_erlsom = not found
ERLANG_LIB_VER_erts = 9.2
ERLANG_LIB_VER_eunit = 2.3.5
ERLANG_LIB_VER_inets = 6.4.5
ERLANG_LIB_VER_kernel = 5.4.1
ERLANG_LIB_VER_mnesia = 4.15.3
ERLANG_LIB_VER_public_key = 1.5.2
ERLANG_LIB_VER_sasl = 3.1.1
ERLANG_LIB_VER_ssl = 8.2.3
ERLANG_LIB_VER_stdlib = 3.4.3
ERLANG_LIB_VER_tools = not found
ERLANG_LIB_VER_xmerl = 1.3.16
ERLANG_LIB_VER_xmlrpc = not found
ERLANG_RELEASE = 20
ERLANG_ROOT_DIR = /usr/lib/erlang
ERLC = /usr/bin/erlc
ERLCFLAGS = 
ERL_LIBS = 
ESCRIPT = /usr/bin/escript
EXEEXT = 
EXTRAINCLUDE = 
FGREP = /bin/grep -F
GREP = /bin/grep
HAVE_SENDFILE = true
INSTALL = /usr/bin/install -c
INSTALL_BUILDER = /home/klacke/installbuilder-5.4.14
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/x86_64-linux-gnu-ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lpam 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/klacke/yaws/ac-aux/missing makeinfo
MAN = man
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = yaws
PACKAGE_BUGREPORT = 
PACKAGE_NAME = yaws
PACKAGE_STRING = yaws 2.0.6
PACKAGE_TARNAME = yaws
PACKAGE_URL = 
PACKAGE_VERSION = 2.0.6
PATH_SEPARATOR = :
PDFLATEX = pdflatex
PS2PDF = ps2pdf
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
TODOS = todos
UNIX2DOS = 
VERSION = 2.0.6
WERL = 
YAPP_VSN = 0.4.2
YAWS_VSN = 2.0.6
abs_builddir = /home/klacke/yaws/www/code
abs_srcdir = /home/klacke/yaws/www/code
abs_top_builddir = /home/klacke/yaws
abs_top_srcdir = /home/klacke/yaws
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
appsdir = $(localstatedir)/yaws
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
confdir = $(sysconfdir)/yaws
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/klacke/yaws/ac-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
logdir = $(localstatedir)/log/yaws
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/klacke/yaws/_inst
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-pc-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wwwdir = $(localstatedir)/yaws/www
yappdir = $(libdir)/yapp
yawsdir = $(libdir)/yaws
MODULES = myappmod.erl
EXTRA_DIST = $(MODULES)
EBIN_DIR = ../../examples/ebin
EBIN_FILES = $(MODULES:%.erl=$(EBIN_DIR)/%.beam)
ERLC_FLAGS = $(ERLC_GENERIC_FLAGS)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign www/code/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign www/code/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	list='$(DISTFILES)'; \

=== www/shoppingcart/Makefile ===
# Makefile.in generated by automake 1.15.1 from Makefile.am.
# www/shoppingcart/Makefile.  Generated from Makefile.in by configure.

# Copyright (C) 1994-2017 Free Software Foundation, Inc.

# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.



am__is_gnu_make = { \
  if test -z '$(MAKELEVEL)'; then \
    false; \
  elif test -n '$(MAKE_HOST)'; then \
    true; \
  elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
    true; \
  else \
    false; \
  fi; \
}
am__make_running_with_option = \
  case $${target_option-} in \
      ?) ;; \
      *) echo "am__make_running_with_option: internal error: invalid" \
              "target option '$${target_option-}' specified" >&2; \
         exit 1;; \
  esac; \
  has_opt=no; \
  sane_makeflags=$$MAKEFLAGS; \
  if $(am__is_gnu_make); then \
    sane_makeflags=$$MFLAGS; \
  else \
    case $$MAKEFLAGS in \
      *\\[\ \	]*) \
        bs=\\; \
        sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
          | sed "s/$$bs$$bs[$$bs $$bs	]*//g"`;; \
    esac; \
  fi; \
  skip_next=no; \
  strip_trailopt () \
  { \
    flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
  }; \
  for flg in $$sane_makeflags; do \
    test $$skip_next = yes && { skip_next=no; continue; }; \
    case $$flg in \
      *=*|--*) continue;; \
        -*I) strip_trailopt 'I'; skip_next=yes;; \
      -*I?*) strip_trailopt 'I';; \
        -*O) strip_trailopt 'O'; skip_next=yes;; \
      -*O?*) strip_trailopt 'O';; \
        -*l) strip_trailopt 'l'; skip_next=yes;; \
      -*l?*) strip_trailopt 'l';; \
      -[dEDm]) skip_next=yes;; \
      -[JT]) skip_next=yes;; \
    esac; \
    case $$flg in \
      *$$target_option*) has_opt=yes; break;; \
    esac; \
  done; \
  test $$has_opt = yes
am__make_dryrun = (target_option=n; $(am__make_running_with_option))
am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
pkgdatadir = $(datadir)/yaws
pkgincludedir = $(includedir)/yaws
pkglibdir = $(libdir)/yaws
pkglibexecdir = $(libexecdir)/yaws
am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
install_sh_DATA = $(install_sh) -c -m 644
install_sh_PROGRAM = $(install_sh) -c
install_sh_SCRIPT = $(install_sh) -c
INSTALL_HEADER = $(INSTALL_DATA)
transform = $(program_transform_name)
NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
build_triplet = x86_64-pc-linux-gnu
host_triplet = x86_64-pc-linux-gnu
target_triplet = x86_64-pc-linux-gnu
subdir = www/shoppingcart
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/ax_compare_version.m4 \
	$(top_srcdir)/m4/colored-echo.m4 $(top_srcdir)/m4/erlang.m4 \
	$(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
	$(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
	$(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
	$(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
mkinstalldirs = $(install_sh) -d
CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES =
AM_V_P = $(am__v_P_$(V))
am__v_P_ = $(am__v_P_$(AM_DEFAULT_VERBOSITY))
am__v_P_0 = false
am__v_P_1 = :
AM_V_GEN = $(am__v_GEN_$(V))
am__v_GEN_ = $(am__v_GEN_$(AM_DEFAULT_VERBOSITY))
am__v_GEN_0 = @echo "  GEN     " $@;
am__v_GEN_1 = 
AM_V_at = $(am__v_at_$(V))
am__v_at_ = $(am__v_at_$(AM_DEFAULT_VERBOSITY))
am__v_at_0 = @
am__v_at_1 = 
SOURCES =
DIST_SOURCES =
am__can_run_installinfo = \
  case $$AM_UPDATE_INFO_DIR in \
    n|no|NO) false;; \
    *) (install-info --version) >/dev/null 2>&1;; \
  esac
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
am__DIST_COMMON = $(srcdir)/Makefile.in
DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
ACLOCAL = ${SHELL} /home/klacke/yaws/ac-aux/missing aclocal-1.15
AMTAR = $${TAR-tar}
AM_DEFAULT_VERBOSITY = 0
APPDEPS = 
AR = ar
AUTOCONF = ${SHELL} /home/klacke/yaws/ac-aux/missing autoconf
AUTOHEADER = ${SHELL} /home/klacke/yaws/ac-aux/missing autoheader
AUTOMAKE = ${SHELL} /home/klacke/yaws/ac-aux/missing automake-1.15
AWK = mawk
CADAVER = cadaver
CC = gcc
CCDEPMODE = depmode=gcc3
CFLAGS = -Werror -Wall -O3 
CONFIG_STATUS_DEPENDENCIES = $(top_srcdir)/vsn.mk                              \
      $(top_srcdir)/erlang_deps.mk                      \
      $(top_srcdir)/include.mk                          \
      $(top_srcdir)/applications/yapp/vsn.mk            \
      $(top_srcdir)/testsuite/run_common_test.in        \
      $(top_srcdir)/testsuite/yaws.coverspec.in         \
      $(top_srcdir)/testsuite/cover_to_html.sh.in       \
      $(top_srcdir)/testsuite/analyze_coverdata.escript.in
CPP = gcc -E
CPPFLAGS = 
CT_RUN = 
CURL = curl
CYGPATH_W = echo
DEFAULT_CHARSET = undefined
DEFS = -DPACKAGE_NAME=\"yaws\" -DPACKAGE_TARNAME=\"yaws\" -DPACKAGE_VERSION=\"2.0.6\" -DPACKAGE_STRING=\"yaws\ 2.0.6\" -DPACKAGE_BUGREPORT=\"\" -DPACKAGE_URL=\"\" -DCPU_VENDOR_OS=\"x86_64-pc-linux-gnu\" -DPACKAGE=\"yaws\" -DVERSION=\"2.0.6\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRINGS_H=1 -DHAVE_INTTYPES_H=1 -DHAVE_STDINT_H=1 -DHAVE_UNISTD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DHAVE_SECURITY_PAM_APPL_H=1 -DHAVE_LIBPAM=1
DEPDIR = .deps
DIALYZER = /home/klacke/bin/dialyzer
DLLTOOL = false
DSYMUTIL = 
DUMPBIN = 
DVILATEX = latex
DVIPS = dvips
ECHO_C = 
ECHO_N = -n
ECHO_T = 
EGREP = /bin/grep -E
EPAM_CFLAGS = -I/usr/include/security
EPSTOPDF = epstopdf
ERL = /usr/bin/erl
ERLANG_ERTS_DIR = /usr/lib/erlang/erts-9.2
ERLANG_ERTS_VER = 9.2
ERLANG_INSTALL_LIB_DIR = ${prefix}/lib
ERLANG_INSTALL_LIB_DIR_yapp = ${ERLANG_INSTALL_LIB_DIR}/yapp-${YAPP_VSN}
ERLANG_INSTALL_LIB_DIR_yaws = ${ERLANG_INSTALL_LIB_DIR}/yaws-${YAWS_VSN}
ERLANG_LIB_DIR = /usr/lib/erlang/lib
ERLANG_LIB_DIR_common_test = /usr/lib/erlang/lib/common_test-1.15.3
ERLANG_LIB_DIR_compiler = /usr/lib/erlang/lib/compiler-7.1.4
ERLANG_LIB_DIR_crypto = /usr/lib/erlang/lib/crypto-4.2
ERLANG_LIB_DIR_erlsom = not found
ERLANG_LIB_DIR_erts = /usr/lib/erlang/lib/erts-9.2
ERLANG_LIB_DIR_eunit = /usr/lib/erlang/lib/eunit-2.3.5
ERLANG_LIB_DIR_inets = /usr/lib/erlang/lib/inets-6.4.5
ERLANG_LIB_DIR_kernel = /usr/lib/erlang/lib/kernel-5.4.1
ERLANG_LIB_DIR_mnesia = /usr/lib/erlang/lib/mnesia-4.15.3
ERLANG_LIB_DIR_public_key = /usr/lib/erlang/lib/public_key-1.5.2
ERLANG_LIB_DIR_sasl = /usr/lib/erlang/lib/sasl-3.1.1
ERLANG_LIB_DIR_ssl = /usr/lib/erlang/lib/ssl-8.2.3
ERLANG_LIB_DIR_stdlib = /usr/lib/erlang/lib/stdlib-3.4.3
ERLANG_LIB_DIR_tools = not found
ERLANG_LIB_DIR_xmerl = /usr/lib/erlang/lib/xmerl-1.3.16
ERLANG_LIB_DIR_xmlrpc = not found
ERLANG_LIB_VER_common_test = 1.15.3
ERLANG_LIB_VER_compiler = 7.1.4
ERLANG_LIB_VER_crypto = 4.2
ERLANG_LIB_VER_erlsom = not found
ERLANG_LIB_VER_erts = 9.2
ERLANG_LIB_VER_eunit = 2.3.5
ERLANG_LIB_VER_inets = 6.4.5
ERLANG_LIB_VER_kernel = 5.4.1
ERLANG_LIB_VER_mnesia = 4.15.3
ERLANG_LIB_VER_public_key = 1.5.2
ERLANG_LIB_VER_sasl = 3.1.1
ERLANG_LIB_VER_ssl = 8.2.3
ERLANG_LIB_VER_stdlib = 3.4.3
ERLANG_LIB_VER_tools = not found
ERLANG_LIB_VER_xmerl = 1.3.16
ERLANG_LIB_VER_xmlrpc = not found
ERLANG_RELEASE = 20
ERLANG_ROOT_DIR = /usr/lib/erlang
ERLC = /usr/bin/erlc
ERLCFLAGS = 
ERL_LIBS = 
ESCRIPT = /usr/bin/escript
EXEEXT = 
EXTRAINCLUDE = 
FGREP = /bin/grep -F
GREP = /bin/grep
HAVE_SENDFILE = true
INSTALL = /usr/bin/install -c
INSTALL_BUILDER = /home/klacke/installbuilder-5.4.14
INSTALL_DATA = ${INSTALL} -m 644
INSTALL_PROGRAM = ${INSTALL}
INSTALL_SCRIPT = ${INSTALL}
INSTALL_STRIP_PROGRAM = $(install_sh) -c -s
LD = /usr/bin/x86_64-linux-gnu-ld -m elf_x86_64
LDFLAGS = 
LIBOBJS = 
LIBS = -lpam 
LIBTOOL = $(SHELL) $(top_builddir)/libtool
LIPO = 
LN_S = ln -s
LTLIBOBJS = 
LT_SYS_LIBRARY_PATH = 
MAKEINFO = ${SHELL} /home/klacke/yaws/ac-aux/missing makeinfo
MAN = man
MANIFEST_TOOL = :
MKDIR_P = /bin/mkdir -p
NM = /usr/bin/nm -B
NMEDIT = 
OBJDUMP = objdump
OBJEXT = o
OTOOL = 
OTOOL64 = 
PACKAGE = yaws
PACKAGE_BUGREPORT = 
PACKAGE_NAME = yaws
PACKAGE_STRING = yaws 2.0.6
PACKAGE_TARNAME = yaws
PACKAGE_URL = 
PACKAGE_VERSION = 2.0.6
PATH_SEPARATOR = :
PDFLATEX = pdflatex
PS2PDF = ps2pdf
RANLIB = ranlib
SED = /bin/sed
SET_MAKE = 
SHELL = /bin/bash
STRIP = strip
TODOS = todos
UNIX2DOS = 
VERSION = 2.0.6
WERL = 
YAPP_VSN = 0.4.2
YAWS_VSN = 2.0.6
abs_builddir = /home/klacke/yaws/www/shoppingcart
abs_srcdir = /home/klacke/yaws/www/shoppingcart
abs_top_builddir = /home/klacke/yaws
abs_top_srcdir = /home/klacke/yaws
ac_ct_AR = ar
ac_ct_CC = gcc
ac_ct_DUMPBIN = 
am__include = include
am__leading_dot = .
am__quote = 
am__tar = $${TAR-tar} chof - "$$tardir"
am__untar = $${TAR-tar} xf -
appsdir = $(localstatedir)/yaws
bindir = ${exec_prefix}/bin
build = x86_64-pc-linux-gnu
build_alias = 
build_cpu = x86_64
build_os = linux-gnu
build_vendor = pc
builddir = .
confdir = $(sysconfdir)/yaws
datadir = ${datarootdir}
datarootdir = ${prefix}/share
docdir = ${datarootdir}/doc/${PACKAGE_TARNAME}
dvidir = ${docdir}
exec_prefix = ${prefix}
host = x86_64-pc-linux-gnu
host_alias = 
host_cpu = x86_64
host_os = linux-gnu
host_vendor = pc
htmldir = ${docdir}
includedir = ${prefix}/include
infodir = ${datarootdir}/info
install_sh = ${SHELL} /home/klacke/yaws/ac-aux/install-sh
libdir = ${exec_prefix}/lib
libexecdir = ${exec_prefix}/libexec
localedir = ${datarootdir}/locale
localstatedir = ${prefix}/var
logdir = $(localstatedir)/log/yaws
mandir = ${datarootdir}/man
mkdir_p = $(MKDIR_P)
oldincludedir = /usr/include
pdfdir = ${docdir}
prefix = /home/klacke/yaws/_inst
program_transform_name = s,x,x,
psdir = ${docdir}
runstatedir = ${localstatedir}/run
sbindir = ${exec_prefix}/sbin
sharedstatedir = ${prefix}/com
srcdir = .
sysconfdir = ${prefix}/etc
target = x86_64-pc-linux-gnu
target_alias = 
target_cpu = x86_64
target_os = linux-gnu
target_vendor = pc
top_build_prefix = ../../
top_builddir = ../..
top_srcdir = ../..
wwwdir = $(localstatedir)/yaws/www
yappdir = $(libdir)/yapp
yawsdir = $(libdir)/yaws
MODULES = shopcart.erl
EXTRA_DIST = $(MODULES)
EBIN_DIR = ../../examples/ebin
EBIN_FILES = $(MODULES:%.erl=$(EBIN_DIR)/%.beam)
ERLC_FLAGS = $(ERLC_GENERIC_FLAGS)
all: all-am

.SUFFIXES:
$(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
	@for dep in $?; do \
	  case '$(am__configure_deps)' in \
	    *$$dep*) \
	      ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
	        && { if test -f $@; then exit 0; else break; fi; }; \
	      exit 1;; \
	  esac; \
	done; \
	echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign www/shoppingcart/Makefile'; \
	$(am__cd) $(top_srcdir) && \
	  $(AUTOMAKE) --foreign www/shoppingcart/Makefile
Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
	@case '$?' in \
	  *config.status*) \
	    cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
	  *) \
	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
	    cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
	esac;

$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh

$(top_srcdir)/configure:  $(am__configure_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(ACLOCAL_M4):  $(am__aclocal_m4_deps)
	cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
$(am__aclocal_m4_deps):

mostlyclean-libtool:
	-rm -f *.lo

clean-libtool:
	-rm -rf .libs _libs
tags TAGS:

ctags CTAGS:

cscope cscopelist:


distdir: $(DISTFILES)
	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \

=== debian/changelog ===
yaws (2.0.6+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Fix version mangling in debian/watch.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 26 Jun 2018 13:03:25 +0300

yaws (2.0.5+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Remove patches that are no longer needed.
  * Convert debian/copyright into machine readable form.
  * Fix the debian/watch uscan file to repack upstream tarballs removing
    non DFSG-free sources.
  * Add a note to README.Debian on listening at privileged ports via
    adding the AmbientCapabilities option to the YAWS systemd unit.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 18 Apr 2018 15:45:29 +0300

yaws (2.0.4+dfsg-3) unstable; urgency=medium

  * Implement a systemd unit file.
  * Replace the old svn VCS headers by the new git ones.
  * Remove the deprecated autotools-dev from build dependencies.
  * Move the pkgconfig file to /usr/lib/$(DEB_HOST_MULTIARCH)
  * Don't change the yaws home directory ownership recursively to prevent
    possible hardlink attack.
  * Don't set CFLAGS manually. Use dpkg-buildflags.
  * Bump standards version to 4.1.3.

 -- Sergei Golovan <sgolovan@debian.org>  Fri, 09 Mar 2018 22:20:28 +0300

=== debian/control ===
Source: yaws
Section: httpd
Priority: optional
Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
Uploaders: Sergei Golovan <sgolovan@debian.org>
Build-Depends: debhelper (>= 10.0.0), libpam0g-dev,
 erlang-dev (>= 1:13.b.1-3), erlang-edoc, erlang-mnesia, erlang-dialyzer
Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended,
 texlive-fonts-recommended, texlive-font-utils, texlive-extra-utils, ghostscript
Standards-Version: 4.1.3
Homepage: http://yaws.hyber.org/
Vcs-Browser: https://salsa.debian.org/erlang-team/packages/yaws
Vcs-Git: https://salsa.debian.org/erlang-team/packages/yaws.git

Package: yaws
Architecture: all
Provides: httpd, httpd-cgi
Depends: erlang-yaws (>= ${binary:Version}), adduser, ssl-cert, lsb-base (>= 3.0-6), ${misc:Depends}
Suggests: yaws-doc, yaws-chat, yaws-mail, yaws-wiki, yaws-yapp, erlang-yapp, logrotate
Description: High performance HTTP 1.1 webserver written in Erlang
 Yaws is a high performance HTTP 1.1 webserver written in Erlang. It is a 
 multithreaded webserver where one Erlang light weight process is used to
 handle each client. Two separate modes of operation are supported.
 .
 This package includes binaries and config to run Yaws in standalone mode
 where it works as a regular webserver daemon.

Package: erlang-yaws
Architecture: any
Depends: ${erlang-abi:Depends}, ${erlang:Depends}, ${shlibs:Depends}, ${misc:Depends}
Suggests: yaws, yaws-doc, zip, bzip2
Breaks: yaws (<< 1.99), yaws-chat (<< 1.99), yaws-mail (<< 1.99), yaws-wiki (<< 1.99), yaws-yapp (<< 1.99)
Replaces: yaws (<< 1.88-2)
Description: Erlang application which implements HTTP webserver
 Yaws is a high performance HTTP 1.1 webserver written in Erlang. It is a 
 multithreaded webserver where one Erlang light weight process is used to
 handle each client. Two separate modes of operation are supported.
 .
 This package includes Erlang Yaws application suitable to work in embedded
 mode where it runs as a webserver in another Erlang application.

Package: erlang-yapp
Architecture: any
Depends: ${erlang:Depends}, erlang-yaws (= ${binary:Version}), ${misc:Depends}
Suggests: yaws-yapp
Replaces: yaws-yapp (<< 1.99)
Description: Erlang application for deploying Yaws webserver applications
 Yaws-yapp (Yaws application handler) is a helper application.
 It takes care of adding, and removing, the applications into a running
 server. When anyone access the server with an URL that matches the path
 for an added application, the docroot will be temporarily switched
 to where the web pages for that application are located.
 .
 This package includes the Yapp Erlang module which can be used in Yaws
 embedded mode without separate server config.

Package: yaws-doc
Section: doc
Architecture: all
Depends: ${misc:Depends}
Suggests: erlang-yaws, yaws
Replaces: yaws (<< 1.87)
Description: Documentation and examples for Yaws webserver
 Yaws is a high performance HTTP 1.1 webserver written in Erlang. It is a 
 multithreaded webserver where one Erlang light weight process is used to
 handle each client.
 .
 This package includes Yaws documentation and examples.

Package: yaws-chat
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), ${misc:Depends}
Description: Chat application for Yaws webserver
 Yaws-chat allows one to create a very simple web-based chatroom.

Package: yaws-mail
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), ${misc:Depends}
Description: Webmail application for Yaws webserver
 Yaws-mail is a small stateless webmail application. It requires
 SMTP and POP3 servers to operate and does not store email locally.

Package: yaws-wiki
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), ${misc:Depends}
Description: Wiki application for Yaws webserver
 Yaws-wiki is a small wiki application, written in Erlang for Yaws
 webserver.

Package: yaws-yapp
Section: web
Architecture: all
Depends: ${erlang:Depends}, yaws (>= ${binary:Version}), erlang-yapp (>= ${binary:Version}), ${misc:Depends}
Description: Provides an easy way to deploy applications for Yaws webserver
 Yaws-yapp (Yaws application handler) is a helper application.
 It takes care of adding, and removing, the applications into a running
 server. When anyone access the server with an URL that matches the path
 for an added application, the docroot will be temporarily switched
 to where the web pages for that application are located.
 .
 This package provides Yapp config file which is intended to use along
 with fully installed Yaws webserver.

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg\d*$//, \
  oversionmangle=s/$/+dfsg/, \
  repack, compression=xz" \
  http://yaws.hyber.org/download/yaws-(.*)\.tar\.gz

## yaws 2.0.7+dfsg

=== debian/changelog ===
yaws (2.0.7+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Switch to github for fetching new releases in debian/watch.
  * Bump standards version to 4.5.0.
  * Make the yaws-doc package multi-arch foreign.
  * Improve the fix concerned with loading extra CGI environmant variables.

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 27 Feb 2020 12:30:10 +0300

yaws (2.0.6+dfsg-3) unstable; urgency=medium

  * Use verbose build output.
  * Add texlive-latex-extra to the build dependencies list because the
    letltxmacro.sty package required for building documentation has been
    moved from texlive-latex-base to there (closes: #952364).

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 25 Feb 2020 11:20:29 +0300

yaws (2.0.6+dfsg-2) unstable; urgency=medium

  * Fix loading extra CGI environmant variables.
  * Remove unnecessary error report on every run of a FCGI script.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 30 Sep 2018 10:33:19 +0300

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 10.0.0), libpam0g-dev,
  erlang-dev (>= 1:13.b.1-3), erlang-edoc, erlang-mnesia, erlang-dialyzer
-Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended,
+Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  texlive-fonts-recommended, texlive-font-utils, texlive-extra-utils, ghostscript
-Standards-Version: 4.1.3
+Standards-Version: 4.5.0
 Homepage: http://yaws.hyber.org/
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/yaws
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/yaws.git
@@ -57,6 +57,7 @@
 Package: yaws-doc
 Section: doc
 Architecture: all
+Multi-arch: foreign
 Depends: ${misc:Depends}
 Suggests: erlang-yaws, yaws
 Replaces: yaws (<< 1.87)

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

export HOME := $(CURDIR)/debian

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/dpkg/architecture.mk

DESTDIR=$(CURDIR)/debian/yaws
DESTDIR1=$(CURDIR)/debian/erlang-yaws
TMPDIR=$(CURDIR)/debian/tmp

-include $(CURDIR)/vsn.mk

ifneq (,$(findstring debug,$(DEB_BUILD_OPTIONS)))
	TYPE = debug
endif

%:
	dh $@

override_dh_auto_clean:
	dh_testdir
	dh_testroot
	#
	# Clean up applications included into yaws distribution
	[ ! -f Makefile ] || \
	for appdir in applications/* ; do \
	    (cd $$appdir ; \
	     $(MAKE) clean || exit 1 ; \
	     $(MAKE) cleandocs || exit 1) \
	done
	#
	# Clean up after the build process.
	[ ! -f Makefile ] || $(MAKE) clean
	[ ! -f Makefile ] || $(MAKE) conf_clean
	rm -f priv/charset.def
	#
	rm -f erl_crash.dump
	rm -f debian/yaws-*.postinst debian/yaws-*.postrm
	rm -f debian/erlang-yaws.maintscript
	rm -f *.stamp

override_dh_auto_configure:
	dh_testdir
	#
	CFLAGS="$(CFLAGS)" \
	./configure --host=$(DEB_HOST_GNU_TYPE) \
		    --build=$(DEB_BUILD_GNU_TYPE) \
		    --prefix=/usr \
		    --mandir=/usr/share/man \
		    --infodir=/usr/share/info \
		    --sysconfdir=/etc \
		    --localstatedir=/var \
		    --disable-silent-rules

build-arch.stamp:
	dh_testdir
	#
	# Compile the package.
	TYPE="$(TYPE)" $(MAKE) DLL_LIBS=-lc debug
	#
	# Compile the Yapp application
	cd applications/yapp ; TYPE="$(TYPE)" $(MAKE)
	touch build-arch.stamp

override_dh_auto_build-arch: build-arch.stamp

override_dh_auto_build-indep: build-arch.stamp
	dh_testdir
	#
	# Build applications included into yaws distribution
	for appdir in chat mail wiki ; do \
	    (cd applications/$$appdir ; TYPE="$(TYPE)" $(MAKE) || exit 1) \
	done
	#
	# Build documentation
	$(MAKE) docs

override_dh_auto_test:
	# Do nothing because the tests require downloading some tools from
	# the Internet.

install-arch.stamp:
	dh_testdir
	#
	# Install the package into debian/tmp.
	$(MAKE) install DESTDIR=$(TMPDIR)
	#
	# Install the yapp application
	cd applications/yapp ; $(MAKE) install DESTDIR=$(TMPDIR)
	#
	# Relocate pkgconfig script
	install -m 755 -d $(TMPDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	mv $(TMPDIR)/usr/lib/pkgconfig $(TMPDIR)/usr/lib/$(DEB_HOST_MULTIARCH)
	#
	# Relocate examples
	mv $(TMPDIR)/usr/lib/yaws-*/examples $(TMPDIR)/var/yaws/
	mv $(TMPDIR)/usr/lib/yapp-*/examples $(TMPDIR)/var/yaws/examples/yapp
	mv $(TMPDIR)/usr/lib/yapp-*/priv $(TMPDIR)/var/yaws/yapp-priv
	mv $(TMPDIR)/usr/lib/yapp-*/doc $(TMPDIR)/var/yaws/yapp-doc
	#
	# Remove unneeded .la files
	rm -vf $(TMPDIR)/usr/lib/yaws-*/priv/lib/*.la
	#
	sed -e "s/@YAWS_VSN@/$(YAWS_VSN)/g" \
	    debian/erlang-yaws.maintscript.in >debian/erlang-yaws.maintscript || exit 1
	#
	dh_install -a
	touch install-arch.stamp

override_dh_auto_install-arch: install-arch.stamp

override_dh_auto_install-indep: install-arch.stamp
	dh_testdir
	#
	# Install applications (and READMEs) included into yaws distribution
	# Application beams go to /usr/lib/yaws/$application/ebin
	# Other application files go to /usr/share/yaws-$application/docroot
	for app in chat mail wiki ; do \
	    (cd applications/$$app ; $(MAKE) install DESTDIR=$(TMPDIR) || exit 1) \
	done
	#
	# Fix permissions on examples
	chmod a-x $(TMPDIR)/var/yaws/www/testdir/index.html
	#
	# Fix run_erl and to_erl paths.
	sed -i -e 's:/lib/erlang/erts-[0-9.]*/:/:g' $(TMPDIR)/usr/bin/yaws
	#
	# Fix permissions of application files
	find $(TMPDIR)/var/yaws -type f -exec chmod a-x \{\} \;
	#
	# Generate postinst and postrm scripts for applications
	for app in chat mail wiki yapp ; do \
	    sed -e "s/@APPLICATION@/$$app/g" \
	    	debian/yaws-application.postinst.in >debian/yaws-$$app.postinst || exit 1; \
	    sed -e "s/@APPLICATION@/$$app/g" \
	    	debian/yaws-application.postrm.in >debian/yaws-$$app.postrm || exit 1 ; \
	done
	#
	dh_install -i

override_dh_compress:
	dh_compress -X.erl -X.beam -X.yaws -X.pdf -X .ps -X .eps -X Makefile

override_dh_gencontrol:
	erlang-depends
	dh_gencontrol

.PHONY: override_dh_auto_clean override_dh_auto_configure override_dh_auto_build-arch \
	override_dh_auto_build-indep override_dh_auto_test override_dh_auto_install-arch \
	override_dh_auto_install-indep override_dh_compress override_dh_gencontrol

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg\d*$//, \
  oversionmangle=s/$/+dfsg/, \
  repack, compression=xz" \
    https://github.com/klacke/yaws/releases \
    /klacke/yaws/archive/yaws-([.\d]+).tar.gz

## yaws 2.0.8+dfsg

=== debian/changelog ===
yaws (2.0.8+dfsg-3) unstable; urgency=medium

  * Disable the debug logging to make YAWS run faster and not pollute its log
    files (closes: #985389).

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 17 Mar 2021 10:33:53 +0300

yaws (2.0.8+dfsg-2) unstable; urgency=medium

  * Fix the patch which drops the call to the deprecated ssl:cipher_suites/0.
  * Replace all references to unversioned python by python3.
  * Remove unused lintian override.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 12 Jan 2021 13:32:52 +0300

yaws (2.0.8+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Mon, 07 Sep 2020 19:28:48 +0300

yaws (2.0.7+dfsg-2) unstable; urgency=medium

  * Point debian/watch to another Github repository.
  * Add a patch which fixes FTBFS of Yaws with Erlang 23.
  * Add erlang-tools to the build dependencies list.

 -- Sergei Golovan <sgolovan@debian.org>  Wed, 24 Jun 2020 11:12:23 +0300

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
 Build-Depends: debhelper (>= 10.0.0), libpam0g-dev,
- erlang-dev (>= 1:13.b.1-3), erlang-edoc, erlang-mnesia, erlang-dialyzer
+ erlang-dev (>= 1:17), erlang-edoc, erlang-mnesia, erlang-dialyzer, erlang-tools
 Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  texlive-fonts-recommended, texlive-font-utils, texlive-extra-utils, ghostscript
 Standards-Version: 4.5.0

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg\d*$//, \
  oversionmangle=s/$/+dfsg/, \
  repack, compression=xz" \
    https://github.com/erlyaws/yaws/releases \
    /erlyaws/yaws/archive/yaws-([.\d]+).tar.gz

## yaws 2.1.1+dfsg

=== debian/changelog ===
yaws (2.1.1+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.

 -- Sergei Golovan <sgolovan@debian.org>  Sat, 05 Feb 2022 10:15:45 +0300

yaws (2.1.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Remove the no longer useful patch which fixed FTBFS of Yaws with Erlang 23.
  * Replace `which` by `command -v` in the yaws main script.
  * Remove superfluous patterns from debian/copyright.
  * Bump the debhelper compatibility level to 12.
  * Bump standards version to 4.6.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 19 Dec 2021 23:50:45 +0300

yaws (2.0.9+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Fix the debian/watch uscan control file.
  * Bump standards version to 4.5.1.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 17 Aug 2021 12:47:37 +0300

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper (>= 10.0.0), libpam0g-dev,
+Build-Depends: debhelper-compat (= 12), libpam0g-dev,
  erlang-dev (>= 1:17), erlang-edoc, erlang-mnesia, erlang-dialyzer, erlang-tools
 Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  texlive-fonts-recommended, texlive-font-utils, texlive-extra-utils, ghostscript
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: http://yaws.hyber.org/
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/yaws
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/yaws.git
@@ -16,6 +16,7 @@
 Architecture: all
 Provides: httpd, httpd-cgi
 Depends: erlang-yaws (>= ${binary:Version}), adduser, ssl-cert, lsb-base (>= 3.0-6), ${misc:Depends}
+Pre-Depends: ${misc:Pre-Depends}
 Suggests: yaws-doc, yaws-chat, yaws-mail, yaws-wiki, yaws-yapp, erlang-yapp, logrotate
 Description: High performance HTTP 1.1 webserver written in Erlang
  Yaws is a high performance HTTP 1.1 webserver written in Erlang. It is a

=== debian/rules ===
--- 
+++ 
@@ -66,7 +66,7 @@
 	dh_testdir
 	#
 	# Compile the package.
-	TYPE="$(TYPE)" $(MAKE) DLL_LIBS=-lc debug
+	TYPE="$(TYPE)" $(MAKE) DLL_LIBS=-lc
 	#
 	# Compile the Yapp application
 	cd applications/yapp ; TYPE="$(TYPE)" $(MAKE)

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg\d*$//, \
  oversionmangle=s/$/+dfsg/, \
  repack, compression=xz" \
    https://github.com/erlyaws/yaws/releases \
    /erlyaws/yaws/archive/refs/tags/yaws-([.\d]+).tar.gz

## yaws 2.2.0%2Bdfsg

=== debian/watch ===
version=3

opts="dversionmangle=s/\+dfsg\d*$//, \
  oversionmangle=s/$/+dfsg/, \
  repack, compression=xz" \
    https://github.com/erlyaws/yaws/tags \
    /erlyaws/yaws/archive/refs/tags/yaws-([.\d]+).tar.gz

## yaws 2.2.0+dfsg

=== debian/changelog ===
yaws (2.2.0+dfsg-2) unstable; urgency=medium

  * Fix building source/binary packages after successful build of the
    binary one (closes: #1046610, #1049496).

 -- Sergei Golovan <sgolovan@debian.org>  Thu, 20 Feb 2025 15:42:17 +0300

yaws (2.2.0+dfsg-1) unstable; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Bump standards version to 4.7.0.

 -- Sergei Golovan <sgolovan@debian.org>  Sun, 14 Jul 2024 15:47:55 +0300

yaws (2.1.1+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to move systemd units into /usr.

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 25 May 2024 10:17:34 +0200

yaws (2.1.1+dfsg-2) unstable; urgency=medium

  * Restrict max_no_bytes config value to a positive integer for the calls
    to logger:add_handler/3.
  * Drop dependency on the obsolete lsb-base package.
  * Fix the debian/watch uscan control file.
  * Bump the debhelper compatibility level to 13.
  * Bump standards version to 4.6.1.

 -- Sergei Golovan <sgolovan@debian.org>  Tue, 07 Feb 2023 16:32:31 +0300

yaws (2.1.1+dfsg-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * No source change upload to rebuild with debhelper 13.10.

 -- Michael Biebl <biebl@debian.org>  Sat, 15 Oct 2022 12:58:35 +0200

=== debian/control ===
--- 
+++ 
@@ -3,11 +3,11 @@
 Priority: optional
 Maintainer: Debian Erlang Packagers <pkg-erlang-devel@lists.alioth.debian.org>
 Uploaders: Sergei Golovan <sgolovan@debian.org>
-Build-Depends: debhelper-compat (= 12), libpam0g-dev,
- erlang-dev (>= 1:17), erlang-edoc, erlang-mnesia, erlang-dialyzer, erlang-tools
+Build-Depends: debhelper-compat (= 13), libpam0g-dev,
+ erlang-dev (>= 1:27), erlang-crypto, erlang-edoc, erlang-mnesia, erlang-dialyzer, erlang-tools
 Build-Depends-Indep: texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  texlive-fonts-recommended, texlive-font-utils, texlive-extra-utils, ghostscript
-Standards-Version: 4.6.0
+Standards-Version: 4.7.0
 Homepage: http://yaws.hyber.org/
 Vcs-Browser: https://salsa.debian.org/erlang-team/packages/yaws
 Vcs-Git: https://salsa.debian.org/erlang-team/packages/yaws.git
@@ -15,7 +15,7 @@
 Package: yaws
 Architecture: all
 Provides: httpd, httpd-cgi
-Depends: erlang-yaws (>= ${binary:Version}), adduser, ssl-cert, lsb-base (>= 3.0-6), ${misc:Depends}
+Depends: erlang-yaws (>= ${binary:Version}), adduser, ssl-cert, ${misc:Depends}
 Pre-Depends: ${misc:Pre-Depends}
 Suggests: yaws-doc, yaws-chat, yaws-mail, yaws-wiki, yaws-yapp, erlang-yapp, logrotate
 Description: High performance HTTP 1.1 webserver written in Erlang

=== debian/rules ===
--- 
+++ 
@@ -35,13 +35,15 @@
 	[ ! -f Makefile ] || \
 	for appdir in applications/* ; do \
 	    (cd $$appdir ; \
-	     $(MAKE) clean || exit 1 ; \
-	     $(MAKE) cleandocs || exit 1) \
+	     $(MAKE) distclean || exit 1) \
 	done
 	#
 	# Clean up after the build process.
-	[ ! -f Makefile ] || $(MAKE) clean
-	[ ! -f Makefile ] || $(MAKE) conf_clean
+	[ ! -f Makefile ] || $(MAKE) distclean
+	rm -rf ac-aux
+	rm -rf c_src/.deps
+	rm -rf win32/.deps
+	rm -rf ebin
 	rm -f priv/charset.def
 	#
 	rm -f erl_crash.dump
@@ -83,7 +85,7 @@
 	done
 	#
 	# Build documentation
-	$(MAKE) docs
+	$(MAKE) doc
 
 override_dh_auto_test:
 	# Do nothing because the tests require downloading some tools from
